Перейти к публикации
OnlyMetaSploit

JDK в пролёте

Рекомендованные сообщения

OnlyMetaSploit

Вобщем, если я ставлю новые версии явы - у меня крашится лаунчер, работает он на версии <=8u45 ,если установить JDK 8u45 - лаунчер крашится, если установить JRE 8u45 и JDK 8u45 , знаете что? - лаунчер крашится! Что можно сделать? Я просто собираюсь учить java ибо он отлично работает с сетью , а среда разработки требует JDK, и яхз что делать...


Вообще jdk по идее это набор jre jva jru , яхз почему он крашится...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Makcum21

Краш приложи. Новые версии джавы скачать попробуй.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Andrey

Где такие старые версии находите? Update 66 - последняя.


🖊️ Ура! Теперь у Вас есть подпись ☺️

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
BlackSun

Не запускай с консоли, почему-то это крашит дрова на атишных видюхах.


nodes.gif.707c73bf76fe5592b4e154b63d92771b.gif

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
OnlyMetaSploit

Ну я и говорю - на новых версиях крашится


Не запускай с консоли, почему-то это крашит дрова на атишных видюхах.
 

А я и не с консоли...


Краш приложи. Новые версии джавы скачать попробуй.

Щяс установлю jdk и скину краш


Может это потому-что у меня Win XP?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
BlackSun
Может это потому-что у меня Win XP?

 

Скорее всего ты просто проклят, не иначе. Уже 3я проблема у тебя возникает, на ровном месте..

У меня тоже АТИ, тоже старая, тоже ХР, тоже JDK (66) и.. никаких проблем. Почему они возникают у тебя?


nodes.gif.707c73bf76fe5592b4e154b63d92771b.gif

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
OnlyMetaSploit

Скорее всего ты просто проклят, не иначе. Уже 3я проблема у тебя возникает, на ровном месте..

У меня тоже АТИ, тоже старая, тоже ХР, тоже JDK (66) и.. никаких проблем. Почему они возникают у тебя?

Джавасе!

========================================
RedServer V3 Crash Report
========================================

java.lang.RuntimeException: No toolkit found
	at com.sun.javafx.tk.Toolkit.getToolkit(Toolkit.java:217)
	at com.sun.javafx.application.PlatformImpl.startup(PlatformImpl.java:209)
	at com.sun.javafx.application.LauncherImpl.startToolkit(LauncherImpl.java:675)
	at com.sun.javafx.application.LauncherImpl.launchApplication1(LauncherImpl.java:695)
	at com.sun.javafx.application.LauncherImpl.lambda$launchApplication$156(LauncherImpl.java:182)
	at java.lang.Thread.run(Thread.java:745)

Грубо говоря возникает логическая ошибка , и по моему срабатывает исключение и записывается лог, но яхз почему...

RUFqIACQOzo.jpg

Может как-то заставить лаунчер запускаться со старой версией jre?

99ZX2U3p538.jpg

Решил проблему сделав так, тему можно закрывать

Скорее всего ты просто проклят, не иначе. Уже 3я проблема у тебя возникает, на ровном месте..

У меня тоже АТИ, тоже старая, тоже ХР, тоже JDK (66) и.. никаких проблем. Почему они возникают у тебя?

Это пятая проблема если что, есть еще одна, которую я не решил https://redserver.su/forum/topic/18906-vykidyvaet-s-servera/

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Andrey

 

 

Грубо говоря возникает логическая ошибка , и по моему срабатывает исключение и записывается лог, но яхз почему...
Потому что на старье сидите. Как видите, ошибка не нашем запускаторе.

🖊️ Ура! Теперь у Вас есть подпись ☺️

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
defiler

Джавасе!

========================================
RedServer V3 Crash Report
========================================

java.lang.RuntimeException: No toolkit found
	at com.sun.javafx.tk.Toolkit.getToolkit(Toolkit.java:217)
	at com.sun.javafx.application.PlatformImpl.startup(PlatformImpl.java:209)
	at com.sun.javafx.application.LauncherImpl.startToolkit(LauncherImpl.java:675)
	at com.sun.javafx.application.LauncherImpl.launchApplication1(LauncherImpl.java:695)
	at com.sun.javafx.application.LauncherImpl.lambda$launchApplication$156(LauncherImpl.java:182)
	at java.lang.Thread.run(Thread.java:745)

Грубо говоря возникает логическая ошибка , и по моему срабатывает исключение и записывается лог, но яхз почему...

RUFqIACQOzo.jpg

Может как-то заставить лаунчер запускаться со старой версией jre?

99ZX2U3p538.jpg

Решил проблему сделав так, тему можно закрывать

Это пятая проблема если что, есть еще одна, которую я не решил https://redserver.su/forum/topic/18906-vykidyvaet-s-servera/

У тебя тут немного рекламы других серверов...

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Andronio

У тебя тут немного рекламы других серверов...

Её, можно сказать, вообще нету =) Ладно, шучу

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
SirEdivn
java.lang.RuntimeException: No toolkit found at com.sun.javafx.tk.Toolkit.getToolkit(Toolkit.java:217) at com.sun.javafx.application.PlatformImpl.startup(PlatformImpl.java:209) at com.sun.javafx.application.LauncherImpl.startToolkit(LauncherImpl.java:675) at com.sun.javafx.application.LauncherImpl.launchApplication1(LauncherImpl.java:695) at com.sun.javafx.application.LauncherImpl.lambda$launchApplication$156(LauncherImpl.java:182) at java.lang.Thread.run(Thread.java:745)

Тут утверждается, что у тебя не стоит/криво стоит JavaFX.

Попробуй или переустановить/установить новую версию.

Так же, для проверки может скачать себе примеры по Java с сайта Oracle. Там будет папочка javafx. Если приложения оттуда не запускаются, то бага точно у тебя. 


Приватные сборки рулят!

Давайте вместе сделаем что-то интересное!, все тлен

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Гость
Эта тема закрыта для публикации сообщений.

×
×
  • Создать...